import { OnInit, ElementRef, OnDestroy, EventEmitter, NgZone, Renderer2 } from '@angular/core';
import { Subscription } from 'rxjs';
import { DraggableHelper } from './draggable-helper.provider';
export interface DropData {
    dropData: any;
}
export declare class DroppableDirective implements OnInit, OnDestroy {
    private element;
    private draggableHelper;
    private zone;
    private renderer;
    /**
     * Added to the element when an element is dragged over it
     */
    dragOverClass: string;
    /**
     * Added to the element any time a draggable element is being dragged
     */
    dragActiveClass: string;
    /**
     * Called when a draggable element starts overlapping the element
     */
    dragEnter: EventEmitter<DropData>;
    /**
     * Called when a draggable element stops overlapping the element
     */
    dragLeave: EventEmitter<DropData>;
    /**
     * Called when a draggable element is moved over the element
     */
    dragOver: EventEmitter<DropData>;
    /**
     * Called when a draggable element is dropped on this element
     */
    drop: EventEmitter<DropData>;
    currentDragSubscription: Subscription;
    constructor(element: ElementRef<HTMLElement>, draggableHelper: DraggableHelper, zone: NgZone, renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
